Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.theme.plugin
Interface ThemeItem

All Superinterfaces:
  Localized, ThemeContent

All Known Subinterfaces:
  ThemeLinkItem, ThemeTextItem

All Known Implementing Classes:
  DefaultThemeContent, DefaultThemeItem, DefaultThemeLinkItem, DefaultThemeTextItem

    public interface ThemeItem

extends ThemeContent

A ThemeItem is a theme contribution which defines its data and delegates rendering to the theme JSP. The alternative to ThemeItem is `ThemeInclude`, which is responsible for its own rendering.

Since:
  6.0
Note:

  This interface is designed to be implemented by clients.

Method Summary
`java.lang.String` | `getTooltip(java.util.Locale locale)` Returns the tooltip text for the current locale.
`DisposableURL` | `newIconURL(PortalIcons.State state)` Returns the URL for the associated icon.

Methods inherited from interface com.ibm.portal.theme.plugin.ThemeContent
`getOrdinal, init`

Methods inherited from interface com.ibm.portal.Localized
`getDescription, getLocales, getTitle`

Method Detail

### newIconURL

    DisposableURL newIconURL(PortalIcons.State state)
                             throws StateException

  Returns the URL for the associated icon. If the URL cannot be created or does not exist, a `null` value is returned.

  Parameters:
    `state` - the icon state
  Returns:
    the URL or `null` if the URL cannot be created
  Throws:
    `StateException` - if an error occurs creating the URL

### getTooltip

    java.lang.String getTooltip(java.util.Locale locale)

  Returns the tooltip text for the current locale. Returns `null` if the tooltip text doesn't exist for the specified locale or if an error occurs.

  Parameters:
    `locale` - the current locale
  Returns:
    the tooltip text or `null`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD